Summary:        PEAR: Horde Caching API

Name:           php-pear-Horde-Cache
%define pear_name  Horde_Cache
%define pear_sname horde_cache
Version:        2.5.0
Release:        1.lux.1
License:        LGPL
Group:          Development/Libraries/PHP
Source0:        http://pear.horde.org/get/Horde_Cache-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/Horde_Cache
BuildRequires:	php-pear >= 1.7.0
BuildRequires:  php-pear-channel-horde
Requires:       php-pear-channel-horde
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php-pear >= 1.7.0
Requires:	php-pear-Horde-Compress-Fast >= 1.0.0
Requires:	php-pear-Horde-Compress-Fast <= 2.0.0alpha1
Conflicts:	php-pear-Horde-Compress-Fast = 2.0.0alpha1
Requires:	php-pear-Horde-Exception >= 2.0.0
Requires:	php-pear-Horde-Exception <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Exception = 3.0.0alpha1
Requires:	php-pear-Horde-Util >= 2.0.0
Requires:	php-pear-Horde-Util <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Util = 3.0.0alpha1
BuildArch:      noarch
# Fix for renaming (package convention)
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
This package provides a simple, functional caching API, with the option to
store the cached data on the filesystem, in one of the PHP opcode cache
systems (APC, eAcclerator, XCache, or Zend Performance Suite's content
cache), memcached, or an SQL table.

%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__mkdir_p} %{buildroot}%{pear_phpdir}/.channels/
%{__cp} %{pear_phpdir}/.channels/pear.horde.org.reg %{buildroot}%{pear_phpdir}/.channels/

%{__pear} -v \
        -d doc_dir=/doc \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{pear_phpdir}/data \
        -d test_dir=%{pear_phpdir}/test \
        install --offline --nodeps -P "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{pear_xmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf %{buildroot}%{pear_phpdir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..


%clean
rm -rf %{buildroot}

%post
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{pear_xmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{pear_xmldir}/%{pear_name}.xml
fi

%postun
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{pear_name}
fi

%files
%defattr(-,root,root)
%{pear_phpdir}/data/%{pear_name}
%{pear_phpdir}/Horde/*
%{pear_xmldir}/%{pear_name}.xml

%changelog
